<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">&{'cari_data.label'}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="input-group">
                            <input type="text" class="form-control modal-search-view" placeholder="&{'keyword_placeholder'}">
                            <span class="input-group-btn">
        <button class="btn btn-primary modal-search-button" type="button">&{'search'}</button>
      </span>
                        </div>
                    </div>
                </div>
                <div style="overflow-x: auto">
                #{if _typeString.equals("acceptance")}
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th class="header-left">&{'nomor_dokumen_lkpp.label'}</th>
                            <th class="header-left">&{'nomor_dokumen.label'}</th>
                            <th class="header-left">&{'tanggal_dokumen.label'}</th>
                            <th class="header-right">&{'total_produk.label'}</th>
                            <th class="header-left">&{'catatan.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody class="delivery-list">

                        </tbody>
                    </table>
                #{/if}
                #{else }
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th class="header-left">&{'nama_produk.label'}</th>
                            <th class="header-left">&{'jumlah_pesanan.label'}</th>
                            <th class="header-left">&{'nomor_produk.label'}</th>
                            <th class="header-left">&{'catatan.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody class="product-list">

                        </tbody>
                    </table>
                #{/else}
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">&{'close'}</button>
            </div>
        </div>
    </div>
</div>

#{validationPackage /}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    var currentProducts = JSON.parse('${_typeString.equals('acceptance') ? _paket?.acceptanceHistory?.getProductsJSON().raw() : _paket?.deliveryHistory?.getProductsJSON().raw()}');
    var currentDelivery = JSON.parse('${_paket?.getAcceptanceDeliveryJSON().raw()}');

    var params = {};
    params['lang'] = '${play.i18n.Lang.get()}';
    params['inputType'] = ${_typeString.equals('acceptance') ? 2 : 1};
    params['action'] = '${_action}';
    params['queryAction'] = '${_typeString.equals('acceptance') ? _paket?.getAcceptanceSearchProductUrl() : _paket?.getDeliverySearchProductUrl()}';
    params['token'] = jQuery('input[name=authenticityToken]').val();
    params['searchAction'] = '${_paket.getDeliverySearchUrl()}';
    params['searchProductAction'] = '${_paket.getDeliveryProductsUrl()}';
    params['messages'] = {};
    params['messages']['wrong_acceptance_date_format'] = '&{'paket.wrong_acceptance_date_format'}';
    params['messages']['wrong_delivery_date_format'] = '&{'paket.wrong_delivery_date_format'}';
    params['messages']['delivery_date_empty'] = '&{'paket.delivery_date_empty'}';
    params['messages']['acceptance_date_empty'] = '&{'paket.acceptance_date_empty'}';
    params['messages']['empty_doc_number'] = '&{'paket.empty_doc_number'}';
    params['messages']['wrong_doc_date_format'] = '&{'paket.wrong_doc_date_format'}';
    params['messages']['delivery_product_error_message'] = '&{'paket.delivery_product_error_message'}';
    params['messages']['delivery_product_amount_error_message'] = '&{'paket.delivery_product_amount_error_message'}';
    params['messages']['delivery_product_amount_leftover_error_message'] = '&{'paket.delivery_product_amount_leftover_error_message'}';
    params['messages']['delivery_product_amount_leftover_and_order_error_message'] = '&{'paket.delivery_product_amount_leftover_and_order_error_message'}';
    params['messages']['acceptance_product_error_message'] = '&{'paket.acceptance_product_error_message'}';
    params['button'] = {};
    params['button']['save'] = '&{'save'}';
    params['button']['next'] = '&{'next'}';

    jQuery(document).ready(function() {
        $('.ongkos-kirim').onChangeCurrencyFormatter(params.lang);
        jQuery(function () {
            jQuery.getScript("@{'/public/javascripts/paket/history.js'}");
        });

    });
</script>
<script type="text/javascript">
    $('.attachment').bind('change', function() {
        var countError = 0;
        $('.error-image').fadeOut(500);
        $('.error-image-extention').fadeOut(500);

        var fileSize = document.getElementById("attachment").files[0];
        var sizeInMb = (fileSize.size/1024)/1024;
        var sizeLimit= 5;
        if (sizeInMb > sizeLimit) {
            countError = 1;
            $('.error-image').fadeIn(500);
            $('.error-image-extention').fadeOut();
        }

        var filename = $("#attachment").val();
        var extension = filename.replace(/^.*\./, '');
        if (extension == filename) {
            extension = '';
        } else {
            extension = extension.toLowerCase();
        }
        switch (extension) {
            case 'pdf':
            case 'doc':
            case 'docx':
                break;

            default:
                countError = 1;
                $('.error-image').fadeOut(500);
                $('.error-image-extention').fadeIn(500);
        }

        if (countError){
            $('.attachment').val('');
        }

    });
</script>
#{/set}